Package org.drinkless.tdlib

# Class TdApi.PollOptionProperties

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PollOptionProperties

Enclosing class:
  `TdApi`

public static class TdApi.PollOptionProperties extends TdApi.Object
Contains properties of a poll option and describes actions that can be done with the option right now.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeDeleted`
  True, if the option can be deleted using deletePollOption.
  `boolean`
  `canBeReplied`
  True, if the poll option can be replied in the same chat and forum topic using inputMessageReplyToMessage.
  `boolean`
  `canBeRepliedInAnotherChat`
  True, if the poll option can be replied in another chat or forum topic using inputMessageReplyToExternalMessage.
  `boolean`
  `canGetLink`
  True, if a link can be generated for the poll option using getMessageLink.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PollOptionProperties()`
  Contains properties of a poll option and describes actions that can be done with the option right now.
  `PollOptionProperties(boolean canBeDeleted, boolean canBeReplied, boolean canBeRepliedInAnotherChat, boolean canGetLink)`
  Contains properties of a poll option and describes actions that can be done with the option right now.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### canBeDeleted

    public boolean canBeDeleted
    True, if the option can be deleted using deletePollOption.

  - ### canBeReplied

    public boolean canBeReplied
    True, if the poll option can be replied in the same chat and forum topic using inputMessageReplyToMessage.

  - ### canBeRepliedInAnotherChat

    public boolean canBeRepliedInAnotherChat
    True, if the poll option can be replied in another chat or forum topic using inputMessageReplyToExternalMessage.

  - ### canGetLink

    public boolean canGetLink
    True, if a link can be generated for the poll option using getMessageLink.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PollOptionProperties

    public PollOptionProperties()
    Contains properties of a poll option and describes actions that can be done with the option right now.

  - ### PollOptionProperties

    public PollOptionProperties(boolean canBeDeleted, boolean canBeReplied, boolean canBeRepliedInAnotherChat, boolean canGetLink)
    Contains properties of a poll option and describes actions that can be done with the option right now.
    Parameters:
      `canBeDeleted` - True, if the option can be deleted using deletePollOption.
      `canBeReplied` - True, if the poll option can be replied in the same chat and forum topic using inputMessageReplyToMessage.
      `canBeRepliedInAnotherChat` - True, if the poll option can be replied in another chat or forum topic using inputMessageReplyToExternalMessage.
      `canGetLink` - True, if a link can be generated for the poll option using getMessageLink.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR